package com.engine.salary.mapper.salarysob;

import com.engine.salary.entity.salarysob.po.SalaryApprovalRulePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Harryxzy
 * @ClassName SalaryApprovalRuleMapper
 * @date 2024/04/23 17:36
 * @description
 */
public interface SalaryApprovalRuleMapper {

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryApprovalRulePO> listAll();

    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryApprovalRulePO> listSome(SalaryApprovalRulePO salaryApprovalRule);


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    SalaryApprovalRulePO getById(Long id);

    /**
     * 新增，忽略null字段
     *
     * @param salaryApprovalRule 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(SalaryApprovalRulePO salaryApprovalRule);

    /**
     * 修改，修改所有字段
     *
     * @param salaryApprovalRule 修改的记录
     * @return 返回影响行数
     */
    int update(SalaryApprovalRulePO salaryApprovalRule);

    /**
     * 修改，忽略null字段
     *
     * @param salaryApprovalRule 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(SalaryApprovalRulePO salaryApprovalRule);

    /**
     * 删除记录
     *
     * @param salaryApprovalRule 待删除的记录
     * @return 返回影响行数
     */
    int delete(SalaryApprovalRulePO salaryApprovalRule);

    void deleteBySalarySobId(@Param("salarySobId") Long salarySobId);
}
